[ic] Perl CGI module (was: Safe error in payment module)

Peter peter at pajamian.dhs.org
Fri Nov 16 07:54:41 UTC 2012

On 16/11/12 13:10, Dan Bergan wrote:
> Thanks, Mike, for confirming that the standard CGI module will not work in IC.
> It appears that Net::Braintree uses CGI on only 2 lines:
> my $query = CGI->new($query_string);
> return $query->Vars;

Right, and that's in a very simple subroutine.  You can overwrite the
entire subroutine easily without having to patch the actual module from
interchange.cfg and should be able to solve the issue that way.

> So, it looks like I should be able to replace CGI with CGI::Simple and
> get the same results.  And, I think I'll politely ask Braintree if
> they would consider doing the same replacement in their module.

I would recommend replacing
Net::Braintree::TransparentRedirect::QueryString::parse() with a sub
that calls Vend::Server::parse_post().


More information about the interchange-users mailing list